import React, { Component } from 'react';
import Chart from '../../src';

export default class App extends Component {
  ready(chart) {
    chart.on('click', (params)=>{
      console.log(params);
      if (params.seriesType === 'graph') {
        if (params.dataType === 'edge') {
          alert("line" + params.name);
        }
        else {
          alert("node" + params.name);
        }
      }
    });
  }

  render() {
    const options = {
      title : {
        text: '某站点用户访问来源',
        x:'center'
      },
      tooltip : {
        trigger: 'item',
        formatter: "{a} <br/>{b} : {c} ({d}%)"
      },
      legend: {
        orient: 'vertical',
        left: 'left',
        data: ['直接访问','邮件营销','联盟广告','视频广告','搜索引擎']
      },
      series: [{
        type: 'graph',
        layout: 'none',
        symbolSize: 50,
        roam: true,
        label: {
            normal: {
                show: true
            }
        },
        edgeSymbol: ['circle', 'arrow'],
        edgeSymbolSize: [4, 10],
        edgeLabel: {
            normal: {
                textStyle: {
                    fontSize: 20
                }
            }
        },
        data: [{
            name: '节点1',
            x: 300,
            y: 300
        }, {
            name: '节点2',
            x: 800,
            y: 300
        }, {
            name: '节点3',
            x: 550,
            y: 100
        }, {
            name: '节点4',
            x: 550,
            y: 500
        }],
        // links: [],
        links: [{
            source: 0,
            target: 1,
            symbolSize: [5, 20],
            label: {
                normal: {
                    show: true
                }
            },
            lineStyle: {
                normal: {
                    width: 5,
                    curveness: 0.2
                }
            }
        }, {
            source: '节点2',
            target: '节点1',
            label: {
                normal: {
                    show: true
                }
            },
            lineStyle: {
                normal: { curveness: 0.2 }
            }
        }, {
            source: '节点1',
            target: '节点3'
        }, {
            source: '节点2',
            target: '节点3'
        }, {
            source: '节点2',
            target: '节点4'
        }, {
            source: '节点1',
            target: '节点4'
        }],
        lineStyle: {
            normal: {
                opacity: 0.9,
                width: 2,
                curveness: 0
            }
        }
      }]
    };

    return (
      <Chart options={ options } onReady={this.ready} />
    );
  }
}
